Bug 439551 - unison desktop file should not use update-alternatives
unison desktop file should not use update-alternatives
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: unison (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Stephen Warren
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 00:00 EDT by Michel Alexandre Salim
Modified: 2008-04-16 23:55 EDT (History)
0 users

See Also:
Fixed In Version: 2.13.16-9.fc7.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 23:54:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-03-29 00:00:10 EDT
Description of problem:
Each version-specific unison package (unison213 and unison227) use
update-alternatives for registering its desktop file. However, the
version-specific desktop files are already in /usr/share/applications !

This means that the only thing update-alternatives does is to create yet another
desktop menu entry -- i.e. on my system I have one launcher for unison213 and
two for unison227.

We should either not use update-alternatives for the desktop file (thus the user
can launch either 213 or 227), or put the original desktop files somewhere else
(thus the user has only one launcher for the 'active' unison). The former is
probably preferable.


Version-Release number of selected component (if applicable):
unison213-2.13.16-9.fc9.x86_64
unison227-2.27.57-7.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install unison213 unison227
2. Applications->Accessories
  
Actual results:
Three copies of unison desktop entries

Expected results:
Either two copies (213 and 227) or just one

Additional info:
Comment 1 Stephen Warren 2008-03-29 12:21:50 EDT
Yes, I can see the problem.

I guess not having the extra alternatives entry is fine. The only thing I wonder
(which isn't solved by the current desktop files anyway) is if somebody installs
just 1 unison, and then gets confused by the version # in the menu name. That
could be solved by making the alternatives entry just say "Unison", so you'd end
up with:

Unison 2.13
Unison 2.27
Unison # picks alternatives value

Do you think that's worth it, or do you think simply removing the alternatives
for the desktop file is the way to go.
Comment 2 Stephen Warren 2008-03-30 14:21:10 EDT
New packages available in rawhide; should be pushed to F8/F7 testing soon.
Comment 3 Fedora Update System 2008-03-30 14:23:14 EDT
unison227-2.27.57-7.fc8.2,unison213-2.13.16-9.fc8.2 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-30 14:25:47 EDT
unison227-2.27.57-7.fc7.3,unison213-2.13.16-9.fc7.3 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-04-16 23:54:54 EDT
unison213-2.13.16-9.fc7.3, unison227-2.27.57-7.fc7.3 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-04-16 23:55:20 EDT
unison227-2.27.57-7.fc8.2, unison213-2.13.16-9.fc8.2 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.